[ColdBox-5.0.0] Upgrade from ColdBox 4.2 to 5.0.x and later to 5.6.0

41 views
Skip to first unread message

Yieng

unread,
Sep 20, 2020, 8:38:22 PM9/20/20
to ColdBox Platform
Hi,

I am planning to upgrade from ColdBox 4.2.x to 5.0.x, and then later to 5.6.0. 

1) Where can I download ColdBox 5.0.x (in particular 5.0.0+633) as I cannot use CommandBox to install. 
2) Is it possible to use ColdBox 4.2.x with existing applications and ColdBox 5.0.x with new applications?
3) How would I upgrade my ColdBox 4.2.x applications to ColdBox 5.0.x?
4) What are the requirements for ColdBox 5.0.x and 5.6.0 for ColdFusion?

Thanks.

Luis Majano

unread,
Sep 21, 2020, 10:10:02 AM9/21/20
to col...@googlegroups.com
On Sep 20, 2020, 7:38 PM -0500, Yieng <yie...@gmail.com>, wrote:
Hi,

I am planning to upgrade from ColdBox 4.2.x to 5.0.x, and then later to 5.6.0. 

It makes no sense to upgrade to 5.0. Just upgrade to the latest minor version in the major series.  However, for that, might as well go to 6. Not sure why just not do an upgrade to the latest supported version.

1) Where can I download ColdBox 5.0.x (in particular 5.0.0+633) as I cannot use CommandBox to install. 

All downloads are in ForgeBox (www.forgebox.io). May we know what is the reason for not being able to use CommandBox?

2) Is it possible to use ColdBox 4.2.x with existing applications and ColdBox 5.0.x with new applications?

ColdBox 4 is no longer supported.

3) How would I upgrade my ColdBox 4.2.x applications to ColdBox 5.0.x?
4) What are the requirements for ColdBox 5.0.x and 5.6.0 for ColdFusion?

Thanks.
 --
--
You received this message because you are subscribed to the Google Groups "ColdBox Platform" group.
For News, visit http://blog.coldbox.org
For Documentation, visit http://wiki.coldbox.org
For Bug Reports, visit https://ortussolutions.atlassian.net/browse/COLDBOX
---
You received this message because you are subscribed to the Google Groups "ColdBox Platform" group.
To unsubscribe from this group and stop receiving emails from it, send an email to coldbox+u...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/coldbox/748a418e-a683-4aa1-8f20-644036418476o%40googlegroups.com.

Yieng

unread,
Sep 29, 2020, 8:43:53 AM9/29/20
to ColdBox Platform
Luis,

Thank you so much for your reply. 

Would love to upgrade to ColdBox 6.x but what is the minimum requirements for SQL Server and ColdFusion? Was afraid our current SQL Server and CF versions wouldn't be compatible for ColdBox 6.x.
Can the existing ColdBox 4.x co-exists with ColdBox 6.x (so I can gradually update them later)? If yes, how to achieve this?

Brad Wood

unread,
Sep 29, 2020, 9:23:16 AM9/29/20
to col...@googlegroups.com
We support the same versions of ColdFusion that Adobe still supports.


As far as SQL Server, Coldbox doesn't care about that.

Thanks!

~Brad

Developer Advocate
Ortus Solutions, Corp 

ColdBox Platform: http://www.coldbox.org 



Reply all
Reply to author
Forward
0 new messages